Skip to content

Get MAU usage records

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the current user pool MAU usage record

Method name

ManagementClient.get_mau_period_usage_history

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
startTimestringyes-Start time (year, month, day)20220202
endTimestringyes-End time (year, month, day)20220802

Request Response

Type: CostGetMauPeriodUsageHistoryRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a MauPeriodUsageHistoryResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "records": {
      "periodStartTime": "20210901",
      "periodEndTime": "20220901",
      "amount": "0",
      "current": "0"
    }
  }
}

Data Structure

MauPeriodUsageHistory

NameTypeRequiredDescriptionSample value
recordsarrayYesResponse data Nested type: <a MauPeriodUsageHistoryDto.

MauPeriodUsageHistoryDto

NameTypeIs it required?DescriptionSample value
periodStartTimestringYesPeriod start time (year, month, day)20210901
periodEndTimestringYesPeriod end time (year, month, day)20220901
amountstringYesTotal amount of mau used in the current period0
currentstringYesAmount of mau used in the current period0

Agent infrastructure for identity, memory, and web action.